<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">LogCollection</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">He_Arc::RPG::LogCollection Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ae3eeeddbe0ba645e013d07aa5716679e">AddHeaderInLogFile</a>(string pathAndFilename)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a21ecae9d5a43da77d6aec61d6c308caa">AddLog</a>(unique_ptr&lt; Log &gt; log)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a41142f3dc016102009e720426bd699ab">GetInstance</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a12e8062406b901c53e58d9ef2a77aa7c">GetPathAndFileName</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ab0b2f3e08dd16ab09546d16bd3e476db">InitLogCol</a>(string path, string name, bool dateBeforeName, bool autosave)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af8272708fd8ba9468a3d942d2def53f5">LogCollection</a>(string path, string name, bool dateBeforeName, bool autosave)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>LogCollection</b>() (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#ad29ce6c5028ec1da4812177265117b71">LogCollection</a>(LogCollection &amp;)=delete</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a3b90ac5495b8d488695b0b83fab8406a">m_autosave</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#af3aff12d2b7dc69128006eac2c31f16c">m_instance</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a44d6630ceebc5b45eb6f85402c6565a7">m_namePrecededByDate</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1691ef1468db345fd09c8d4d31cebe4c">m_savedLogs</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7d20041e286e0530abff974ed4b23c98">m_saveFolderPath</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a37570b5e3e742530c730e49f294ea385">m_saveName</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a65172e917c7ba4c87a77f17e855c5e42">m_unsavedLogs</a></td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a7c504113b68b568afb51f701aff604f7">operator=</a>(const LogCollection &amp;)=delete</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#afdb73837d5f960d83cabe7805f480c67">SaveLog</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a11014211f3688f950bc06be2c8ce9625">SetAutoSave</a>(bool enable)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a8c10f4281cc931d8a8468cff572fb27b">SetName</a>(string name)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html#a1193b265826021c86c40d48083eece06">~LogCollection</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_log_collection.html">He_Arc::RPG::LogCollection</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
